import pylab
import math
FONTSIZE=8
SMALLFONT=8
fig_width_pt = (1.0 * 358.50473) # Get this from LaTeX using \showthe\columnwidth
inches_per_pt = 1.0/72.27               # Convert pt to inch
golden_mean = (math.sqrt(5)-1.0)/2.0         # Aesthetic ratio
fig_width = fig_width_pt*inches_per_pt  # width in inches
fig_height = fig_width*golden_mean      # height in inches
fig_size =  [fig_width,fig_height]
params0 = {'text.fontsize': FONTSIZE,
          'xtick.labelsize': SMALLFONT,
          'axes.labelsize': FONTSIZE,
          'ytick.labelsize': SMALLFONT,
          'legend.fontsize': FONTSIZE,
          'lines.markersize': 1,
          'font.size': FONTSIZE,
          'figure.figsize': fig_size}
pylab.rcParams.update(params0)
