#ifndef _VSIM_MISC_H_
#define _VSIM_MISC_H_
#include "types.h"

namespace vsim {

#define ROUND(var, size) (((var) + ((size) - 1)) & ~((size) - 1))
#define MIN(a, b) ((a) < (b) ? (a) : (b))
SlotDistribution slotDistTextToEnum(const std::string &);
std::string slotDistEnumToText(SlotDistribution);

} // end vsim

#endif
