#include <iostream>
#include <stdlib.h>
#include "vsimreport.h"

using namespace vsim;

int
main(int argc, char **argv)
{
    std::vector<VSimReport> reports;
    if (argc < 2) {
        std::cout << "Usage: " << argv[0] << " samplefile" << std::endl;
        exit(EXIT_FAILURE);
    }
    reports = importReportBatch(argv[1]);
    for (unsigned int i = 20; i < reports.size(); i++) {
        reports[i].exportReport("test.bin");
    }
    return 0;
}

