#include <cstdlib>
#include <iostream>
#include "vsimprofiler.h"

namespace vsim {

void
VSimProfiler::start(void)
{
#ifdef OPROFILE
    if (system("opcontrol --start") == -1)
        std::cout << "Error starting OProfile" << std::endl;
#endif
}

void
VSimProfiler::stop(void)
{
#ifdef OPROFILE
    if (system("opcontrol --stop") == -1)
        std::cout << "Error stopping OProfile" << std::endl;
#endif
}

} // namespace vsim
