#include "barrier.h"

namespace vsim {

Barrier::Barrier(unsigned count)
{
    pthread_barrier_init(&_barrier, NULL, count);
}

Barrier::~Barrier()
{
    pthread_barrier_destroy(&_barrier);
}

void
Barrier::wait(void)
{
    pthread_barrier_wait(&_barrier);
}

} // end vsim
