#ifndef _VSIM_BARRIER_H_
#define _VSIM_BARRIER_H_
#include <pthread.h>

namespace vsim {

/**
 * A wrapper for POSIX barriers.
 */
class Barrier {
public:
    Barrier(unsigned);
    virtual ~Barrier();
    void wait(void);
protected:
    pthread_barrier_t _barrier;
};

} // end vsim
#endif
