#ifndef _VSIM_MUTEX_H_
#define _VSIM_MUTEX_H_
#include <pthread.h>

namespace vsim {
/**
 * The Mutex class is a wrapper around the POSIX mutex synchronization
 * primitive.
 */
class Mutex {
public:
    Mutex();
    virtual ~Mutex();
    void lock(void);
    void unlock(void); 
protected:
    pthread_mutex_t _lock;
};

} // end vsim

#endif
